# Interface LSLoadEvent

All Superinterfaces:
  `Event`

public interface LSLoadEvent extends Event
This interface represents a load event object that signals the completion of a document load.

See also the Document Object Model (DOM) Level 3 Load and Save Specification.

Since:
  1.5

- ## Field Summary

  ### Fields declared in interface Event

  `AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`
  Modifier and Type
  Field
  Description
  `static final short`
  `AT_TARGET`
  The event is currently being evaluated at the target `EventTarget`.
  `static final short`
  `BUBBLING_PHASE`
  The current event phase is the bubbling phase.
  `static final short`
  `CAPTURING_PHASE`
  The current event phase is the capturing phase.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LSInput`
  `getInput()`
  The input source that was parsed.
  `Document`
  `getNewDocument()`
  The document that finished loading.

  ### Methods declared in interface Event

  `getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`
  Modifier and Type
  Method
  Description
  `boolean`
  `getBubbles()`
  Used to indicate whether or not an event is a bubbling event.
  `boolean`
  `getCancelable()`
  Used to indicate whether or not an event can have its default action prevented.
  `EventTarget`
  `getCurrentTarget()`
  Used to indicate the `EventTarget` whose `EventListeners` are currently being processed.
  `short`
  `getEventPhase()`
  Used to indicate which phase of event flow is currently being evaluated.
  `EventTarget`
  `getTarget()`
  Used to indicate the `EventTarget` to which the event was originally dispatched.
  `long`
  `getTimeStamp()`
  Used to specify the time (in milliseconds relative to the epoch) at which the event was created.
  `String`
  `getType()`
  The name of the event (case-insensitive).
  `void`
  `initEvent(String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)`
  The `initEvent` method is used to initialize the value of an `Event` created through the `DocumentEvent` interface.
  `void`
  `preventDefault()`
  If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur.
  `void`
  `stopPropagation()`
  The `stopPropagation` method is used prevent further propagation of an event during event flow.

- ## Method Details

  - ### getNewDocument

    Document getNewDocument()
    The document that finished loading.

  - ### getInput

    LSInput getInput()
    The input source that was parsed.